Subject: Inconsistency in calc embedded

From: Ypo <[email-masked]>
Date: Sat, 13 Jan 2024 13:37:37 +0100

Hi

I am using calc embedded, in an org-mode buffer:

I write:

Total := 76121 EUR

Bastidor402 := 33.5124% * Total =>

(1)

After doing:

C-x * a

C-x * u (on the formula (1))

I get:

Bastidor402 := 33.5124% Total => 25509.974004 EUR

Which is correct, but the original formula (1) is changed:
Instead of

Bastidor402 := 33.5124% * Total =>
(1)

Emacs changes it to:
Bastidor402 := 33.5124% Total =>
(2)

I delete the result, and I do again C-x * u (on the formula (2)), and I get:

Bastidor402 := 33.5124 % Total => 33.5124 % 76121 EUR

Which is another change in the original formula (2). Now we have:

Bastidor402 := 33.5124 % Total =>

(3)

and a wrong result.